# CopyStormTaskLog

The CopyStormTaskLog table contains a record for each time a CopyStormTask has been executed. This table can be used to determine:

* The success or failure status of a task.
* The current state of a task — complete or running.
* The log file generated by the task.

Records in this table are created by the CopyStorm/JobRunner application.

The following table describes each field in the CopyStormTaskLog table:

| Column Name      | Data Type | Required | Description                                                                                                                                                                                                 |
| ---------------- | --------- | -------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| id               | integer   | Yes      | Unique identifier assigned to this record by CopyStorm/Director.                                                                                                                                            |
| taskId           | integer   | Yes      | The unique id of the CopyStormTask to which this log applies.                                                                                                                                               |
| jobId            | integer   | Yes      | The unique id of the CopyStormJob which owns this log.                                                                                                                                                      |
| jobType          | varchar   | Yes      | <p>The kind of task which ran. Supported values include:</p><ul><li>CopyStorm</li><li>CopyStormMedic</li></ul>                                                                                              |
| startTime        | datetime  | Yes      | The datetime at which this task was started.                                                                                                                                                                |
| endTime          | datetime  | No       | The datetime at which this task ended. If this value is null then the task is still running.                                                                                                                |
| processId        | integer   | No       | The system process id of the task. CopyStorm/JobRunner uses this value to detect processes that have died without notification when a system is rebooted or the CopyStorm/JobRunner is terminated manually. |
| errorFree        | char      | No       | Indicates if the task was without errors (Y), failed (N), or is still running (null).                                                                                                                       |
| logFile          | clob      | No       | All stderr and stdout messages generated by the task.                                                                                                                                                       |
| createdDate      | datetime  | Yes      | The date on which this log record was created.                                                                                                                                                              |
| lastModifiedDate | datetime  | Yes      | The date on which this log record was last modified.                                                                                                                                                        |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://learn.capstorm.com/copystorm-director/reference/copystorm-director-database/copystormtasklog.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
